## WDS Set Default Profile Num request WDS Set Default Profile Num request |

## Functions

QmiMessageWdsSetDefaultProfileNumInput * | qmi_message_wds_set_default_profile_num_input_new ()
QmiMessageWdsSetDefaultProfileNumInput * | qmi_message_wds_set_default_profile_num_input_ref ()
void | qmi_message_wds_set_default_profile_num_input_unref ()
gboolean | qmi_message_wds_set_default_profile_num_input_get_profile_identifier ()
gboolean | qmi_message_wds_set_default_profile_num_input_set_profile_identifier ()
QmiMessageWdsSetDefaultProfileNumOutput * | qmi_message_wds_set_default_profile_num_output_ref ()
void | qmi_message_wds_set_default_profile_num_output_unref ()
gboolean | qmi_message_wds_set_default_profile_num_output_get_result ()
gboolean | qmi_message_wds_set_default_profile_num_output_get_extended_error_code ()
void | qmi_client_wds_set_default_profile_num ()
QmiMessageWdsSetDefaultProfileNumOutput * | qmi_client_wds_set_default_profile_num_finish ()

## Types and Values

| QmiMessageWdsSetDefaultProfileNumInput
| QmiMessageWdsSetDefaultProfileNumOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetDefaultProfileNumInput
        ╰── QmiMessageWdsSetDefaultProfileNumOutput

## Description

## Functions

### qmi_message_wds_set_default_profile_num_input_new ()

    QmiMessageWdsSetDefaultProfileNumInput *
    qmi_message_wds_set_default_profile_num_input_new
                                   (void);

Allocates a new QmiMessageWdsSetDefaultProfileNumInput.

#### Returns

the newly created QmiMessageWdsSetDefaultProfileNumInput. The returned value should be freed with `qmi_message_wds_set_default_profile_num_input_unref()`.

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_ref ()

    QmiMessageWdsSetDefaultProfileNumInput *
    qmi_message_wds_set_default_profile_num_input_ref
                                   (QmiMessageWdsSetDefaultProfileNumInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_unref ()

    void
    qmi_message_wds_set_default_profile_num_input_unref
                                   (QmiMessageWdsSetDefaultProfileNumInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_num_input_get_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumInput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    QmiWdsProfileFamily *value_profile_identifier_profile_family,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
value_profile_identifier_profile_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. |
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_num_input_set_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumInput *self,
                                    QmiWdsProfileType value_profile_identifier_profile_type,
                                    QmiWdsProfileFamily value_profile_identifier_profile_family,
                                    guint8 value_profile_identifier_profile_index,
                                    GError **error);

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |
value_profile_identifier_profile_type | a QmiWdsProfileType. |
value_profile_identifier_profile_family | a QmiWdsProfileFamily. |
value_profile_identifier_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_ref ()

    QmiMessageWdsSetDefaultProfileNumOutput *
    qmi_message_wds_set_default_profile_num_output_ref
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_unref ()

    void
    qmi_message_wds_set_default_profile_num_output_unref
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_get_result ()

    gboolean
    qmi_message_wds_set_default_profile_num_output_get_result
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_set_default_profile_num_output_get_extended_error_code
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_client_wds_set_default_profile_num ()

    void
    qmi_client_wds_set_default_profile_num
                                   (QmiClientWds *self,
                                    QmiMessageWdsSetDefaultProfileNumInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Set Default Profile Num request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_default_profile_num_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetDefaultProfileNumInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_wds_set_default_profile_num_finish ()

    QmiMessageWdsSetDefaultProfileNumOutput *
    qmi_client_wds_set_default_profile_num_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_set_default_profile_num()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_default_profile_num()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetDefaultProfileNumOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_default_profile_num_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageWdsSetDefaultProfileNumInput

    typedef struct _QmiMessageWdsSetDefaultProfileNumInput QmiMessageWdsSetDefaultProfileNumInput;

The QmiMessageWdsSetDefaultProfileNumInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsSetDefaultProfileNumOutput

    typedef struct _QmiMessageWdsSetDefaultProfileNumOutput QmiMessageWdsSetDefaultProfileNumOutput;

The QmiMessageWdsSetDefaultProfileNumOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22